Bug 157062 - Apache:mod_ssl:Error: Private key not found
Apache:mod_ssl:Error: Private key not found
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mod_ssl (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
: Security
: 157068 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-06 11:49 EDT by Bill Blackford
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-07 14:35:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Blackford 2005-05-06 11:49:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
Same error as Bug 144274.
After generating a new private key and new testcert, restarting httpd returns and error stating that the private key cannot be found.

Version-Release number of selected component (if applicable):
mod_ssl-2.0.52-9.ent.i386.rpm

How reproducible:
Always

Steps to Reproduce:
1. rm /etc/httpd/conf/ssl.key/server.key
2. rm /etc/httpd/conf/ssl.crt/server.crt
3. cd /usr/share/ssl/certs
4. make genkey
5. make testcert
6. /sbin/service httpd restart
7. Observe error.

  

Actual Results:  Starting httpd: Apache/2.0.52 mod_ssl/2.0.52 (Pass
Phrase Dialog)
Some of your private key files are encrypted for security reasons.
In order to read them you have to provide the pass phrases.

Server rhel4.int.blackfordcomputing.com:443 (RSA)
Enter pass phrase:Apache:mod_ssl:Error: Private key not found.
**Stopped
[FAILED]


Expected Results:  Normal behavior. Apache should start properly and serve https following the pass phase input. This has been verified with rhel3, update 4 and FC1.

Additional info:

This error renders the use of https insecure if the only way it works is via the temporary key and cert.
Comment 1 Joe Orton 2005-05-06 11:56:35 EDT
This is a problem with the password input; httpd is not given access to the
terminal to be able to prompt for the password. Use:

# setsebool httpd_tty_comm=1

to enable, or

# setsebool -P httpd_tty_comm=1

to enable permanently.
Comment 4 Joe Orton 2005-05-09 10:59:33 EDT
*** Bug 157068 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.